# Class CIM_RemoteServiceAccessPoint
extends CIM_ServiceAccessPoint

RemoteServiceAccessPoint describes access or addressing information or a combination of this information for a remote connection that is known to a local network element. This information is scoped or contained by the local network element, because this is the context in which the connection is remote. The relevance of the remote access point and information on its use are described by subclassing RemoteServiceAccessPoint or by associating to it.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_RemoteServiceAccessPoint

## Direct Known Subclasses

CIM_LaunchInContextSAP
CIM_RemotePort

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

RemoteServiceAccessPoint describes access or addressing information or a combination of this information for a remote connection that is known to a local network element. This information is scoped or contained by the local network element, because this is the context in which the connection is remote. The relevance of the remote access point and information on its use are described by subclassing RemoteServiceAccessPoint or by associating to it.

UMLPackagePath | string | CIM::Core::Service
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AccessContext | uint16 | 0
Description | string | The AccessContext property identifies the role this RemoteServiceAccessPoint is playing in the hosting system.
ModelCorrespondence | string | CIM_RemoteServiceAccessPoint.OtherAccessContext
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, .., 32768..65535
Values | string | Unknown, Other, Default Gateway, DNS Server, SNMP Trap Destination, MPLS Tunnel Destination, DHCP Server, SMTP Server, LDAP Server, Network Time Protocol (NTP) Server, Management Service, internet Storage Name Service (iSNS), DMTF Reserved, Vendor Reserved
AccessInfo | string |
Description | string | Access or addressing information or a combination of this information for a remote connection. This information can be a host name, network address, or similar information.
ModelCorrespondence | string | CIM_RemoteServiceAccessPoint.InfoFormat
InfoFormat | uint16 |

Description

string

An enumerated integer that describes the format and interpretation of the AccessInfo property. 206'Parameterized URL'- a URL containing ${parameterName} strings. Those strings are intended to be replaced in their entirety by the value of the named parameter. The interpretation of such parameters is not defined by this subclass. As an example use: If a parameter named 'CompanyURL' has a value of 'www.DMTF.org' and the value of AccessInfo was 'http:\${CompanyURL}', then the resultant URL is intended to be 'http:\www.dmtf.org'.

ModelCorrespondence | string | CIM_RemoteServiceAccessPoint.OtherInfoFormatDescription
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 100, 101, 102, 103, 104, 200, 201, 202, 203, 204, 205, 206, .., 32768..65535

Values

string

Other, Host Name, IPv4 Address, IPv6 Address, IPX Address, DECnet Address, SNA Address, Autonomous System Number, MPLS Label, IPv4 Subnet Address, IPv6 Subnet Address, IPv4 Address Range, IPv6 Address Range, Dial String, Ethernet Address, Token Ring Address, ATM Address, Frame Relay Address, URL, FQDN, User FQDN, DER ASN1 DN, DER ASN1 GN, Key ID, Parameterized URL, DMTF Reserved, Vendor Reserved

OtherAccessContext | string |
Description | string | When the AccessContext property contains a value of 1, "Other" then this is a free form string providing more information about the role of RemoteServiceAccessPoint in the hosting system.
ModelCorrespondence | string | CIM_RemoteServiceAccessPoint.AccessContext
OtherInfoFormatDescription | string |
Description | string | Describes the format when the property InfoFormat is set to 1 (Other).
ModelCorrespondence | string | CIM_RemoteServiceAccessPoint.InfoFormat

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement